/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.fidentis.analyst.feature.api;

import javax.vecmath.Point3d;

/**
 * Interface for working with position in classes that contain Point3d.
 *
 * @author Jakub Kolman
 */
public interface IPosition {

    /**
     * get position of Point3d object
     *
     * @return position of Point3d object
     */
    Point3d getPosition();

    default double getX() {
        return getPosition().x;
    }

    default double getY() {
        return getPosition().y;
    }

    default double getZ() {
        return getPosition().z;
    }
}